Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040196
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Omnichannelmajorhave not tried2019-01-31 13:432019-03-20 15:36
ReporterplujanView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0ec482d0d68e
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040196: [RR19Q1] [OMNI] Usability of the new "Pay Open Tickets" pop up should be improved

DescriptionThe terminal using prepayments now shows all the tickets, paid or not, in the list to pick the "open" tickets to pay.

Problem is, this blind selection of real open tickets among the list of already paid tickets is too prone to error. And, if the user includes in the list a single paid ticket, all the flow is cancelled and has to be restarted.

See steps below.
Steps To ReproduceScenario A (working as expected):
-Create 10 tickets with one line each and use the partial payment button to pay 50% of the total amount.
-Now go to the menu option "Pay Open Tickets" and select the 10 tickets created before.
-Note that, as expected, the 10 tickets are shown in a list to be paid.

Scenario B (failing):
-On top of the 10 tickets created in the previous scenario, create a new one, this one fully paid instead of partially.
-Now go to the menu option "Pay Open Tickets" and select the 11 tickets
-A message saying that the ticket is fully paid is shown, the process is cancelled and the user has to restart the flow.
Proposed SolutionGiven it is not possible to filter the results of the search, at least let the user continue after showing what issues will not be included. But the user should be able to pay the valid tickets that has selected.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040087 closedjavierRodriguez [RR19Q1] [OMNI] Usability of the new "Pay Open Tickets" pop up should be improved 

-  Notes
(0109835)
hgbot (developer)
2019-02-14 12:31

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 0ec482d0d68efe6fd3a506e0cdfc93555b242c6b
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Thu Feb 14 12:30:52 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/0ec482d0d68efe6fd3a506e0cdfc93555b242c6b [^]

Fixed issue 40196: [RR19Q1] [OMNI] Usability of the new "Pay Open Tickets" pop up should be improved

Now, before do anything, we check all the orders that the client check in the popup.
An array is created with all the paid tickets that it has been found.

if all the selected orders are paid, An specific popup is shown just saying that at least
one of those orders must be a not-completly-paid order.

if anyone can be paid, we follow the pay open tickets flow with all of the ticket that we
can pay

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/components/modal-pay-open-tickets.js
---
(0110157)
jorge-garcia (developer)
2019-03-01 14:47

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-14 12:10 javierRodriguez Type defect => backport
2019-02-14 12:10 javierRodriguez Target Version => RR19Q1
2019-02-14 12:31 hgbot Checkin
2019-02-14 12:31 hgbot Note Added: 0109835
2019-02-14 12:31 hgbot Status scheduled => resolved
2019-02-14 12:31 hgbot Resolution open => fixed
2019-02-14 12:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5df3bb4b6b895bcd344a9690e90b316337332ef2 [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/0ec482d0d68efe6fd3a506e0cdfc93555b242c6b [^]
2019-03-01 14:47 jorge-garcia Review Assigned To => jorge-garcia
2019-03-01 14:47 jorge-garcia Note Added: 0110157
2019-03-01 14:47 jorge-garcia Status resolved => closed
2019-03-20 15:36 plujan Assigned To Retail => javierRodriguez


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker